Truy vấn trạng thái đăng ký giao/nhận hàng vật chất
curl --request GET \
--url https://api.fireant.vn/mxv/physical-delivery/registrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/mxv/physical-delivery/registrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/mxv/physical-delivery/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/mxv/physical-delivery/registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/mxv/physical-delivery/registrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/mxv/physical-delivery/registrations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/mxv/physical-delivery/registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"refTransactionDate": "<string>",
"refRequestCode": "<string>",
"refConfirmationCode": "<string>",
"side": "<string>",
"quanlity": "<string>",
"contract": "<string>",
"approveDate": "<string>",
"approveTxnum": "<string>",
"requestStatus": "<string>",
"rejectReason": "<string>"
}
]MXV
Truy vấn trạng thái đăng ký giao/nhận hàng vật chất
GET
/
mxv
/
physical-delivery
/
registrations
Truy vấn trạng thái đăng ký giao/nhận hàng vật chất
curl --request GET \
--url https://api.fireant.vn/mxv/physical-delivery/registrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/mxv/physical-delivery/registrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/mxv/physical-delivery/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/mxv/physical-delivery/registrations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/mxv/physical-delivery/registrations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/mxv/physical-delivery/registrations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/mxv/physical-delivery/registrations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"refTransactionDate": "<string>",
"refRequestCode": "<string>",
"refConfirmationCode": "<string>",
"side": "<string>",
"quanlity": "<string>",
"contract": "<string>",
"approveDate": "<string>",
"approveTxnum": "<string>",
"requestStatus": "<string>",
"rejectReason": "<string>"
}
]Ủy quyền
OAuth2 Implicit Grant
Scopes
user-data-read
Đọc tất cả dữ liệu của người dùng hiện tại
Phản hồi
OK
Ngày phát sinh yêu cầu giao nhận từ thành viên
Mã yêu cầu giao nhận của TVKD
Mã xác nhận yêu cầu giao nhận của MXV
Hướng: "1" = Nhận, "2" = Giao
Số lượng đăng ký (lot)
Mã hợp đồng
Ngày duyệt yêu cầu đăng ký tại MXV
Mã giao dịch duyệt/từ chối tại MXV
PENDING | APPROVED | DISAPPROVED | PENDING_CANCELLED | CANCELLED | EXPIRED
Lý do từ chối (null nếu trạng thái là Chờ Duyệt hoặc Hoàn Tất)